
def how_many_rows(people, row_width):
    """Return the number of rows needed to seat the guests, given a row width."""
    return people / row_width
    
    
def display_information(num_guests, row_width, num_rows):
    max_capacity = num_rows * row_width
    extra = max_capacity - num_guests
    
    print(f'With {num_guests} guests and rows of {row_width} seats:')
    print(f'  You need {num_rows} rows resulting in {extra} extra seats')


def main(guests, row_width):
    rows = how_many_rows(guests, row_width)
    display_information(guests, row_width, rows)
    

# Set guests and row width
guests = 223
row_width = 25

main(guests, row_width)
